Subject: Re: Computer fails to resume from suspend unless I rmmod jme before initiating the suspend

From: "Guo-Fu Tseng" <[email-masked]>
Date: Wed, 2 Mar 2016 13:04:28 +0800

Dear Diego and who concerns about this driver:

Thanks for reporting it. I can still provide some help, but it's just I'm quite busy.
So that you have not seem me sending patch for a long time.

I wrote this driver when I wan an intern in JMicron during one of my summer vacation
while I'm still student in 2008. And form that point, I do the maintenance just
for fun, not taking any money from them.

JMicron stopped contact me for a long time, and Diego told me that JMicron told him
this chip was EOL 6 years ago.

I have a confidential spec of this chip. I can still provide some help.

Diego is working closely with me for this issue right now.

On Mon, 22 Feb 2016 11:09:07 +0100, Pavel Machek wrote
> Hi!
> 
> > >>>> Every time I initiate a suspend (systemctl suspend) the machine hangs
> > >>>> at resume unless I unload the jme driver.
> 
> It seems to have some kind of suspend/resume support. ... and it is
> rather complex.
> 
> Maybe jme_start_irq(jme) should be moved to the end of jme_resume
> function?
> 
> > > So I found that disabling async as in:
> > >
> > > $ echo 0 > /sys/power/pm_async
> > >
> > > Helps with my issue, I can't reproduce the hang anymore, tried
> > > suspend/resume almost ~15 times.
> > >
> > > Diego
> > 
> > Can someone please help?
> 
> 									Pavel
> -- 
> (english) http://www.livejournal.com/~pavelmachek
> (cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html

Guo-Fu Tseng